import java.io.IOException;


public class GlobalLog extends Log{
	
	//private int numberOfExceptions;
	
	public GlobalLog(String logFileName){
		super(logFileName, "");
	}
	
	public void writeHeader(String center, int numberOfFlatFiles){
		try {
			outputStream.write("Center: "+center+"\nNumber Of Flat Files: "+numberOfFlatFiles+"\n\n");
		} catch (IOException e) {
			System.err.println(e);
		}
	}
	
	public void writeFlatFileSumary(String flatFileName, int warnings, int exceptions){
		try {
			outputStream.write("FlatFile: "+flatFileName+"\n");
			outputStream.write("Number of Warnings: "+warnings+"\n");
			outputStream.write("Number of Exceptions: "+exceptions+"\n\n\n");
		} catch (IOException e) {
			System.err.println(e);
		}
	}

}
